---
search:
  tags:
    - Wallets
    - GET
seo:
  description: >-
    Get a wallet program. Reference for the GET /wallet_programs/{id} endpoint
    in the Bolder API v2.
sidebar:
  label: Get a wallet program
  badge: GET
title: Get a wallet program
type: openapi-operation
---
`GET /wallet_programs/{id}`

**Responses**

- `200` — The wallet program

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "status": "active",
  "points_name": "string",
  "points_min": 0,
  "points_duration": "string",
  "points_divider": 0,
  "points_divider_scope": "cart_total",
  "credits_renewal": "manual",
  "credits_reserve": true,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
